'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.expressCustomGraphiQL = undefined;

var _renderGraphiql = require('./render-graphiql');

var _renderGraphiql2 = _interopRequireDefault(_renderGraphiql);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var expressCustomGraphiQL = function expressCustomGraphiQL(options) {
    return function (_req, res, next) {
        res.setHeader('Content-Type', 'text/html');
        res.write((0, _renderGraphiql2.default)(options));
        res.end();
        next();
    };
};

exports.expressCustomGraphiQL = expressCustomGraphiQL;